Bug 1571473 - [abrt] ucsi_notify: BUG: unable to handle kernel NULL pointer dereference at 0000000000000010 [typec_ucsi] [NEEDINFO]
Summary: [abrt] ucsi_notify: BUG: unable to handle kernel NULL pointer dereference at ...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:85579bf580975140ac4b1b33420...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 22:43 UTC by b465504
Modified: 2018-08-29 15:09 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 15:09:40 UTC
Type: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (73.26 KB, text/plain)
2018-04-24 22:43 UTC, b465504
no flags Details

Description b465504 2018-04-24 22:43:02 UTC
Description of problem:
This issue occured after pulling the power connector from a Lenovo ThinkPad L480 (fully charged).

Additional info:
reporter:       libreport-2.9.3
BUG: unable to handle kernel NULL pointer dereference at 0000000000000010
IP: queue_work_on+0x17/0x40
PGD 0 P4D 0 
Oops: 0002 [#1] SMP PTI
Modules linked in: rfcomm fuse ccm nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc cmac ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc arc4 vfat fat iwlmvm mac80211 snd_hda_codec_hdmi snd_soc_skl snd_soc_skl_ipc snd_hda_ext_core intel_rapl snd_soc_sst_dsp snd_soc_sst_ipc x86_pkg_temp_thermal intel_powerclamp snd_soc_acpi iwlwifi snd_hda_codec_realtek coretemp snd_soc_core snd_hda_codec_generic kvm_intel iTCO_wdt iTCO_vendor_support
 snd_compress snd_pcm_dmaengine ac97_bus kvm snd_hda_intel wmi_bmof intel_wmi_thunderbolt snd_hda_codec irqbypass cfg80211 intel_cstate snd_hda_core btusb intel_uncore snd_hwdep snd_seq btrtl btbcm snd_seq_device btintel intel_rapl_perf snd_pcm uvcvideo bluetooth videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core videodev thinkpad_acpi joydev mei_me snd_timer i2c_i801 media ecdh_generic mei snd shpchp processor_thermal_device idma64 soundcore intel_lpss_pci ucsi_acpi intel_soc_dts_iosf intel_lpss intel_pch_thermal typec_ucsi wmi int3403_thermal typec rfkill int340x_thermal_zone int3400_thermal acpi_thermal_rel acpi_pad dm_crypt i915 i2c_algo_bit drm_kms_helper sdhci_pci e1000e crct10dif_pclmul drm sdhci crc32_pclmul crc32c_intel nvme ptp mmc_core serio_raw pps_core nvme_core
 ghash_clmulni_intel video
CPU: 0 PID: 59 Comm: kworker/0:1 Not tainted 4.15.17-300.fc27.x86_64 #1
Hardware name: LENOVO 20LSCTO1WW/20LSCTO1WW, BIOS R0QET37W (1.14 ) 02/09/2018
Workqueue: kacpi_notify acpi_os_execute_deferred
RIP: 0010:queue_work_on+0x17/0x40
RSP: 0018:ffffaa5480eefe50 EFLAGS: 00010006
RAX: 0000000000000206 RBX: 0000000000000206 RCX: 000000000002d17e
RDX: 0000000000000010 RSI: ffff9eb9f6818c00 RDI: 0000000000000400
RBP: ffff9eb9f0d22318 R08: 0000000000025080 R09: ffffffffc039c25c
R10: ffffd22e48233400 R11: ffff9eb9f69db300 R12: ffff9eb9ff427d00
R13: 0000000000000000 R14: ffff9eb9f5270a80 R15: ffff9eb975b03bd8
FS:  0000000000000000(0000) GS:ffff9eb9ff400000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000010 CR3: 000000017220a003 CR4: 00000000003606f0
Call Trace:
 ucsi_notify+0x9a/0x130 [typec_ucsi]
 acpi_ev_notify_dispatch+0x45/0x5a
 acpi_os_execute_deferred+0x16/0x20
 process_one_work+0x175/0x390
 worker_thread+0x2e/0x380
 ? process_one_work+0x390/0x390
 kthread+0x113/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40
Code: 0b 5b c3 0f 0b 5b c3 0f 0b 5b c3 66 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 53 9c 58 0f 1f 44 00 00 48 89 c3 fa 66 0f 1f 44 00 00 <f0> 0f ba 2a 00 73 10 31 c9 48 89 df 57 9d 0f 1f 44 00 00 89 c8 
RIP: queue_work_on+0x17/0x40 RSP: ffffaa5480eefe50
CR2: 0000000000000010

Comment 1 b465504 2018-04-24 22:43:17 UTC
Created attachment 1426294 [details]
File: dmesg

Comment 2 Justin M. Forbes 2018-07-23 15:14:38 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2018-08-29 15:09:40 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.